using System;
using Server;
using Server.Items;
using Server.Network;
using Server.Mobiles;

namespace Server.Engines.XmlSpawner2
{
	public class MerlinQuest : XmlAttachment
	{
		public MerlinQuest(ASerial serial) : base(serial)
		{
		}

		[Attachable]
		public MerlinQuest()
		{
		   Name = "Merlin Quest";
			Expiration = TimeSpan.FromDays( 3.0 );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize(writer);

			writer.Write( (int) 0 );
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}
